Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000672OLVUser Interfacepublic2012-09-03 04:592012-09-06 13:04
Reporterjohntramp 
Assigned ToFred 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSArchLinuxOS VersionCurrent
Product Version0.0.3-SNAPSHOT 
Target Version0.0.3Fixed in Version0.0.3 
Summary0000672: Missing line segments
DescriptionSee images.

http://i.imgur.com/bXVYV.png [^]
http://i.imgur.com/Q8Tkj.png [^]
Steps To ReproduceZoom in such that points are out of the display region.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001987)
Fred (administrator)
2012-09-03 07:03

(06:03:46) Fred: it's just not drawing the dots if they are out of range
(06:04:02) Fred: but when zoomed in past 1:1 that means you get stuff cut off
(06:04:14) Fred: the dots in the middle at the bottom is weird, though
(06:04:35) Fred: and yeah, it should draw lines to where the dots should be
(06:05:03) Fred: and those lines should get cut off
User avatar (0002022)
BenFenner (developer)
2012-09-04 17:22

It's so easy to say, but so hard to do!
Can't I just get one fix that doesn't involve serious thought and code? And this close to release! =(
User avatar (0002028)
BenFenner (developer)
2012-09-04 22:32

Fixed in git hash: 277cef092c43477187ce1aceee24f9332a85e4ae
User avatar (0002034)
Fred (administrator)
2012-09-05 11:15

Segments aren't missing anymore, afaict, however leaving resolved as they're not drawn correctly either. See 0000669 which has been reopened to reflect this.
User avatar (0002039)
BenFenner (developer)
2012-09-05 18:42

This is now fully implemented properly in git hash: 5b50eff8380eb2e2988773604240fc63420267dd
User avatar (0002052)
Fred (administrator)
2012-09-06 13:04

All good now, finally!


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker